Bug 150859 - Perl command getpwnam does not return LDAP-entries
Perl command getpwnam does not return LDAP-entries
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2005-03-11 09:25 EST by Alfred Glanzer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-23 00:27:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alfred Glanzer 2005-03-11 09:25:40 EST
Description of problem:
The perl-function getpwnam suddenly does not return any info about
LDAP-users. This also disables the correct functioning of
SpamAssassin. Normal users (/etc/passwd) are still available.

However, the normal "getent passwd" command shows all entries,
including those stored in LDAP.

If nscd is activated, the user-id is returned by perl-getpwnam, the
group-id not !!!

Version-Release number of selected component (if applicable):
Perl-5.8.6-4 , OpenLDAP-2.2.23-4
Comment 1 Alfred Glanzer 2005-03-11 10:45:00 EST
Please excuse me !

This error was not related to perl, but to nss_ldap ... !!!

A simple recompile of nss_ldap-234 (why ??) on a FC4-system was
sufficient to solve this problem !

Comment 2 Warren Togami 2005-03-23 00:27:23 EST
nss_ldap was rebuilt on March 16th for rawhide.

Note You need to log in before you can comment on or make changes to this bug.